package com.qianhe.zqbf.service;

import com.qianhe.common.core.page.TableDataInfo;
import com.qianhe.zqbf.domain.*;

import java.util.List;

public interface ZqbfXmzBfxqService {
    /**
     * 分页查询
     */
    List<ZqbfXmzBfxqVo> list(ZqbfXmzBfxqQuery zqbfXmzBfxqQuery);

    /**
     * 查询详情
     */
    ZqbfXmzBfxqVo info(Long id);

    /**
     * 新增
     */
    int add(ZqbfXmzBfxq zqbfXmzBfxq, String username);

    /**
     * 修改
     */
    int edit(ZqbfXmzBfxq zqbfXmzBfxq, String username);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 提报需求
     */
    int sub(ZqbfXmzBfxq zqbfXmzBfxq, String username);

    /**
     * 撤销需求
     */
    int revoke(ZqbfXmzBfxq zqbfXmzBfxq, String username);

    /**
     * 调度专家
     */
    int dispatch(List<ZqczXmzDdzj> zqczXmzDdzjList, String username);

    int dispatchT(ZqbfXmzBfxq zqbfXmzBfxq, String username);
    /**
     * 领导审核
     */
    int approval(ZqczXmzApproval zqczXmzApproval, String username);

    /**
     * 专家反馈
     */
    int feedback(ZqczXmzZjpj zqczXmzZjpj, String username);

    /**
     * 帮扶反馈
     */
    int support(ZqczXmzBffk zqczXmzBffk, String username);


}
